package com.engine.organization.entity.job.vo;

import com.cloudstore.eccom.pc.table.WeaTableType;
import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.OrganizationTableColumn;
import com.engine.organization.annotation.OrganizationTableOperate;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2022/07/15
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@OrganizationTable(pageId = "98e9c62f-cd12-11ec-a15f-00ffcbed7123",
        fields = "t.id," +
                "t.job_no," +
                "t.job_name as name ",
        fromSql = "FROM jcl_org_job t ",
        orderby = "job_no",
        sortway = "asc",
        primarykey = "id",
        operates = {
                @OrganizationTableOperate(index = "0", text = "编辑"),
                @OrganizationTableOperate(index = "1", text = "删除")
        },
        tableType = WeaTableType.CHECKBOX
)
public class JobBrowserVO {

    @OrganizationTableColumn(column = "id", display = false)
    private Long id;

    @OrganizationTableColumn(text = "编号", width = "25%", column = "job_no")
    private String jobNo;

    @OrganizationTableColumn(text = "方案名称", width = "25%", column = "name")
    private String jobName;
}
